View Issue Details

IDCategoryLast Update
0007249bugs2017-03-04 04:04
ReporterbdpAssigned Totimbyr 
Reproducibilityalways 
Status resolvedResolutionfixed 
PlatformLinuxOSDebianOS Version8.7
Product Version5.6 
Fixed in Version5.8 
Summary0007249: Crash when hiding a track in certain sessions
DescriptionIn a few sessions, hiding tracks causes an instant crash.

I've been tidying up some sessions ready for mixing and found a few of them crash Ardour when hiding tracks.

I also tried in a debug nightly build I happened to have on this machine, the log message was:

*** Error in `/opt/Ardour-5.6.36-dbg/bin/ardour-5.6.36': malloc(): smallbin double linked list corrupted: 0x0000000005932200 ***

Steps To ReproduceIn an affected session (example attached):

In edit window, right click on track heading and select "hide" from right click menu.

Ardour immediately crashes.
Additional InformationI've attached an example of a session that shows this behaviour
TagsNo tags attached.

Relationships

related to 0007235 resolvedtimbyr Crash when hiding the Master track in the editor 

Activities

bdp

2017-02-20 12:15

reporter  

TSR_2015_01_Take A Break.ardour (2,514,984 bytes)

bdp

2017-02-20 12:16

reporter  

TSR_2015_01_Take A Break-crashlog.txt (5,571 bytes)
[daw@parker:~/Music/projects/TSR_2017_RetroEP]$ /opt/Ardour-5.6.36-dbg/bin/ardour5 
bind txt domain [gtk2_ardour5] to /opt/Ardour-5.6.36-dbg/share/locale
Ardour5.6.36 (built using 5.6-36-ga31e70a and GCC version 4.4.7)
ardour: [INFO]: Your system is configured to limit Ardour to only 65,536 open files
ardour: [INFO]: Loading system configuration file /opt/Ardour-5.6.36-dbg/etc/system_config
ardour: [INFO]: Loading user configuration file /home/daw/.config/ardour5/config
ardour: [INFO]: CPU vendor: GenuineIntel
ardour: [INFO]: AVX-capable processor
ardour: [INFO]: CPU brand:        Intel(R) Core(TM) i5-2500K CPU @ 3.30GHz
ardour: [INFO]: Using SSE optimized routines
*** WEAK-JACK: initializing
*** WEAK-JACK: OK. (0)
ardour: [INFO]: Loading default ui configuration file /opt/Ardour-5.6.36-dbg/etc/default_ui_config
ardour: [INFO]: Loading user ui configuration file /home/daw/.config/ardour5/ui_config
Cannot xinstall SIGPIPE error handler
Colour shuttle bg not found
ardour: [INFO]: Loading colour file /opt/Ardour-5.6.36-dbg/share/themes/dark-ardour.colors
ardour: [INFO]: Loading ui configuration file /opt/Ardour-5.6.36-dbg/etc/clearlooks.rc
ardour: [INFO]: Loading ui configuration file /opt/Ardour-5.6.36-dbg/etc/clearlooks.rc
Found nothing along /home/daw/.config/ardour5/templates:/opt/Ardour-5.6.36-dbg/share/templates
run dialog
curl failed: No Error
protocol Steinberg CC121 active ? 0
protocol Generic MIDI active ? 0
protocol Open Sound Control (OSC) active ? 0
protocol PreSonus FaderPort active ? 0
protocol Mackie active ? 0
protocol Ableton Push 2 active ? 0
Error opening file /usr/lib/lv2/b_synth.lv2/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/b_synth.lv2/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/lib/lv2/b_synth.lv2/manifest.ttl
Error opening file /usr/lib/lv2/XT-EG.lv2/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/XT-EG.lv2/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/lib/lv2/XT-EG.lv2/manifest.ttl
Error opening file /usr/lib/lv2/gvplus.lv2/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/gvplus.lv2/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/lib/lv2/gvplus.lv2/manifest.ttl
Error opening file /usr/lib/lv2/3D_delay.lv2/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/3D_delay.lv2/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/lib/lv2/3D_delay.lv2/manifest.ttl
Error opening file /usr/lib/lv2/XT-MC.lv2/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/XT-MC.lv2/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/lib/lv2/XT-MC.lv2/manifest.ttl
Scanning folders for bundled LV2s: /opt/Ardour-5.6.36-dbg/lib/LV2
Error opening file /usr/lib/lv2/b_synth.lv2/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/b_synth.lv2/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/lib/lv2/b_synth.lv2/manifest.ttl
Error opening file /usr/lib/lv2/XT-EG.lv2/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/XT-EG.lv2/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/lib/lv2/XT-EG.lv2/manifest.ttl
Error opening file /usr/lib/lv2/gvplus.lv2/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/gvplus.lv2/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/lib/lv2/gvplus.lv2/manifest.ttl
Error opening file /usr/lib/lv2/3D_delay.lv2/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/3D_delay.lv2/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/lib/lv2/3D_delay.lv2/manifest.ttl
Error opening file /usr/lib/lv2/XT-MC.lv2/manifest.ttl (No such file or directory)
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/XT-MC.lv2/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///usr/lib/lv2/XT-MC.lv2/manifest.ttl
error: /usr/lib/lv2/onsettrigger.lv2/onsettrigger.ttl:160:1: missing ';' or '.'
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/onsettrigger.lv2/onsettrigger.ttl'
error: /usr/lib/lv2/onsettrigger.lv2/onsettrigger.ttl:160:1: missing ';' or '.'
lilv_world_load_file(): error: Error loading file `file:///usr/lib/lv2/onsettrigger.lv2/onsettrigger.ttl'
lilv_plugin_get_name(): warning: Plugin <http://gareus.org/oss/lv2/onsettrigger#bassdrum_stereo> has no (mandatory) doap:name
KP is ardour.keys
Set cursor set to default
Set buffering params to 524288|131072|20|20
protocol Steinberg CC121 active ? 0
protocol Generic MIDI active ? 0
protocol Open Sound Control (OSC) active ? 0
protocol PreSonus FaderPort active ? 0
protocol Mackie active ? 0
protocol Ableton Push 2 active ? 0
Set buffering params to 524288|131072|20|20
Skip explicit buffer seconds, preset in use
Skip explicit buffer seconds, preset in use
Alist 962145 not found
Alist 1113116 not found
Alist 1113116 not found
Alist 1113116 not found
Alist 1113116 not found
*** Error in `/opt/Ardour-5.6.36-dbg/bin/ardour-5.6.36': malloc(): smallbin double linked list corrupted: 0x0000000005932200 ***
Aborted (core dumped)

paul

2017-02-24 09:58

administrator   ~0019432

I believe this is fixed in current git, and the upcoming 5.7 ...

timbyr

2017-03-04 04:04

developer   ~0019463

I just tested the attached Session with 5.6 and 5.8. In 5.6 I can reproduce the crash but in 5.8 I cannot. Marking as resolved.

Issue History

Date Modified Username Field Change
2017-02-20 12:15 bdp New Issue
2017-02-20 12:15 bdp File Added: TSR_2015_01_Take A Break.ardour
2017-02-20 12:16 bdp File Added: TSR_2015_01_Take A Break-crashlog.txt
2017-02-24 09:58 paul Note Added: 0019432
2017-03-04 03:28 timbyr Relationship added related to 0007235
2017-03-04 04:04 timbyr Note Added: 0019463
2017-03-04 04:04 timbyr Status new => resolved
2017-03-04 04:04 timbyr Fixed in Version => 5.8
2017-03-04 04:04 timbyr Resolution open => fixed
2017-03-04 04:04 timbyr Assigned To => timbyr